import { EventEmitter } from "../../stencil-public-runtime";
/**
 * Stylized modal dialog.
 */
export declare class KlevuModal {
  #private;
  /**
   * Should show the modal on load.
   */
  startOpen: boolean;
  componentDidLoad(): void;
  /**
   * Opens the modal.
   */
  openModal(): Promise<void>;
  /**
   * Closes the modal.
   */
  closeModal(): Promise<void>;
  /**
   * Emitted when the modal is closed.
   */
  klevuCloseModal: EventEmitter<void>;
  render(): any;
}
